diff --git a/debian/control b/debian/control
index 66e3184..96d3fcc 100644
--- a/debian/control
+++ b/debian/control
@@ -298,3 +298,20 @@ Description: PL/Tcl procedural language for PostgreSQL 17
  PostgreSQL 17 functions that use the languages pltcl or pltclu.
  .
  PostgreSQL is an object-relational SQL database management system.
+
+Package: postgresql-17-jit-llvm
+Architecture: any
+Depends:
+ postgresql-17 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ postgresql-jit-llvm,
+Description: JIT/LLVM support for PostgreSQL 17
+ Just-in-Time (JIT) compilation is the process of turning some
+ form of interpreted program evaluation into a native program,
+ and doing so at run time. In some cases this can provide
+ performance benefits.
+ .
+ PostgreSQL is an object-relational SQL database management system.
+
diff --git a/debian/postgresql-17-jit-llvm.install b/debian/postgresql-17-jit-llvm.install
new file mode 100755
index 0000000..2c9d974
--- /dev/null
+++ b/debian/postgresql-17-jit-llvm.install
@@ -0,0 +1,5 @@
+#!/usr/bin/dh-exec
+
+usr/lib/postgresql/*/lib/llvmjit.so
+[!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm> usr/lib/postgresql/*/lib/bitcode
+[!alpha !hppa !hurd-amd64 !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!pkg.postgresql.nollvm> usr/lib/postgresql/*/lib/llvmjit_types.bc
diff --git a/debian/postgresql-17-jit-llvm.lintian-overrides b/debian/postgresql-17-jit-llvm.lintian-overrides
new file mode 100644
index 0000000..db59083
--- /dev/null
+++ b/debian/postgresql-17-jit-llvm.lintian-overrides
@@ -0,0 +1,20 @@
+# We test for /usr/bin/pg_dropcluster, but run it without path
+command-with-path-in-maintainer-script
+
+# The World's Most Advanced Open Source Relational Database
+description-synopsis-starts-with-article
+
+# We ship binaries and libs in subdirs of /usr/lib/postgresql
+executable-in-usr-lib
+repeated-path-segment lib *
+
+# These are PostgreSQL server plugins; some need no external libraries
+hardening-no-fortify-functions [usr/lib/postgresql/*/lib/*]
+library-not-linked-against-libc [usr/lib/postgresql/*/lib/*]
+shared-library-lacks-prerequisites [usr/lib/postgresql/*/lib/*]
+
+# We use debconf in postrm only
+no-debconf-config
+
+# We store the PostgreSQL catalog version in a custom control field
+unknown-field *Postgresql-Catversion
